#!/bin/bash

# a menu driven frontend to plot-label.sh

DIALOG_CANCEL=1
DIALOG_ESC=255
HEIGHT=0
WIDTH=0
TAPE_WIDTH=$(cat $HOME/.tape_width)

#gcsender.py -i

while true; do
  exec 3>&1
  selection=$(dialog \
    --title "Masking Tape Plotter" \
    --clear \
    --cancel-label "Exit" \
    --no-shadow \
    --hline "tape width $TAPE_WIDTH" \
    --menu "Please select:" $HEIGHT $WIDTH 4 \
    "1" "Plot a label" \
    "2" "Change tape width" \
    "3" "shutdown" \
    2>&1 1>&3)
  exit_status=$?
  exec 3>&-
  case $exit_status in
    $DIALOG_CANCEL)
      clear
      echo "Program terminated."
      exit
      ;;
    $DIALOG_ESC)
      clear
      echo "Program aborted." >&2
      exit 1
      ;;
  esac
  case $selection in
    0 )
      clear
      echo "Program terminated."
      ;;
    1 )
      labeltext=$(dialog --inputbox "Enter text to plot:" 0 0  \
		3>&1 1>&2 2>&3)
      [ -n "$labeltext" ] && plot-label.sh "$labeltext" $TAPE_WIDTH
      ;;
    2 )
      width=`dialog --menu "select tape width:" 0 0 0 \
		"19" "" "30" "" "38" "" 3>&1 1>&2 2>&3`
      export TAPE_WIDTH=$width
      echo $TAPE_WIDTH > $HOME/.tape_width
      ;;
    3 )
      sudo poweroff
      ;;
  esac
done
