#!/bin/bash

TEXT=$1
INIT='$H
G10L20P1X0
G0 X-300
G10L20P1X0
'

HOME='
G0 z1
G0 x0 y0'

#cd $HOME/GCODE
cd $XDG_RUNTIME_DIR

#default tape width=19mm
if [ $# -gt 1 ]
then
	if [ $2 == 19 ]
	then
	echo "tape width: 19mm"
	yoffset="-24"
	scale=0.5
	fi
	
	if [ $2 == 30 ]
	then
	echo "tape width: 30mm"
	yoffset="-17"
	scale=0.8
	fi
	
	if [ $2 == 38 ]
	then
	echo "tape width: 38mm"
	yoffset="-15"
	scale=0.9
	fi

else
	yoffset="-23"
	scale=0.5
fi

hf2gcode --z-down=-1 --z-up=1 -f1200 -s ${scale} -y${yoffset} -m "$TEXT"|\
egrep -v '^;.*|^\(.*'>labeltext.nc
echo "$INIT $(cat labeltext.nc) $HOME"| gcode-cli - /dev/ttyUSB0

